Avidemux 2.4

Bug #178845 reported by echoes on 2007-12-27
10
Affects Status Importance Assigned to Milestone
avidemux (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: avidemux

Avidemux 2.4 (Final) has been available since December 23rd. Please update the package.

2.4 Final is ready for Christmas. Small changelog compared to preview 3 :
* MKV and FLV improvements.
* Mostly fixed decoding corruptions.
* Improved OsX versions, including PPC.
A short changelog compared to 2.3 :
* Input and output support for MKV and FLV containers
* Rewritten MP4/MOV/3GP reader
* Support for Nellymoser codec
* New DV video output support
* New MPEG-TS support including H.264 Elementary Stream
* OCR support for MPEG-TS subtitles
* New video bitstream unpacker (improved compatibility)
* Capability to pack video bitstreams
* New Yadif filter (ported from Avisynth)
* Video filters can be loaded as external plug-ins (sample plug-in included)
* Three interfaces now offered: command line, GTK+ and Qt4 (Qt4 is still incomplete)
* Several key dialogs have been revamped (GTK+ user interface only)
* Preview system refactored
* Priority control added for encoding and video playback (Win32 only)
* New Jog Shuttle control (GTK+ user interface only)
* Support for Jog Shuttle hardware (Linux & GTK+ only)
* New iPod and PlayStation Portable profiles
* New Glyph Editor
* Improved Bitrate Histogram
* JACK support (Linux only)
* DirectX support (Win32 only)
* New Avisynth Proxy GUI (Win32 only)
* Improved crash recovery - session settings are saved and reloaded upon application start
* Numerous bugs fixed

Source:
http://downloads.sourceforge.net/avidemux/avidemux_2.4.tar.gz

Compilation instructions (in case needed):
http://www.avidemux.org/admWiki/index.php?title=Compiling_Avidemux

Related branches

Emmet Hikory (persia) on 2007-12-27
Changed in avidemux:
assignee: nobody → sikon
importance: Undecided → Wishlist
status: New → Confirmed
Maia Everett (linneris) wrote :

I'm going to prepare debdiffs against debian-multimedia.org, but not until the current version passes NEW.

Maia Everett (linneris) on 2008-01-04
Changed in avidemux:
status: Confirmed → In Progress
Maia Everett (linneris) wrote :

Attaching debdiff for debian-multimedia.org version 2.4.0-0.2.

Changed in avidemux:
status: In Progress → Confirmed
assignee: sikon → nobody
Maia Everett (linneris) wrote :

Here are the debian/changelog entries:

avidemux (1:2.4.0-0.2ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org (LP: #178845),
    remaining Ubuntu changes:
    - debian/changelog: re-added Ubuntu entries.
    - debian/control: removed libamrnb-dev, not in Ubuntu and most likely
      will never be (due to being proprietary software).
    - debian/control: fixed libx264-dev version.
    - debian/rules: re-added call to dh_installman.
    - debian/avidemux-common.manpages: renamed (was debian/manpages).
    - debian/source.lintian-overrides: re-added.

 -- Matvey Kozhev <email address hidden> Fri, 04 Jan 2008 22:46:06 +0600

avidemux (1:2.4.0-0.2) unstable; urgency=low

  * avidemux-common should replace avidemux.

 -- Christian Marillat <email address hidden> Sat, 29 Dec 2007 10:17:53 +0100

avidemux (1:2.4.0-0.1) unstable; urgency=low

  * Should Build-Depends on libsamplerate0-dev
  * Upload in unstable.

 -- Christian Marillat <email address hidden> Fri, 28 Dec 2007 12:40:30 +0100

avidemux (1:2.4.0-0.0) unstable; urgency=low

  * New upstream release.
  * Merge changes from Ubuntu.

 -- Christian Marillat <email address hidden> Fri, 28 Dec 2007 11:19:30 +0100

Maia Everett (linneris) wrote :

Slightly modified debdiff (added another LP: #).

Emmet Hikory (persia) on 2008-01-06
Changed in avidemux:
assignee: nobody → persia
status: Confirmed → In Progress
Emmet Hikory (persia) wrote :

Candidate FTBFS in hardy amd64 right now due to unmet build-deps (libfaac-dev: Depends: libmp4v2-dev but it is not installable). This may be transient. Please investigate, and resubscribe ubuntu-universe-sponsors when this is either fixed automatically or when a new candidate addressing the issue is available.

Changed in avidemux:
assignee: persia → sikon
Maia Everett (linneris) wrote :

Filed the missing dependency as bug #180798.

Maia Everett (linneris) wrote :

Updated debdiff.

avidemux (1:2.4.0-0.2ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org
    (LP: #178845, LP: #180393), remaining Ubuntu changes:
    - debian/changelog: re-added Ubuntu entries.
    - debian/control:
      - removed libamrnb-dev, not in Ubuntu and most likely
        will never be (due to being proprietary software).
      - build against current libx264-dev (LP: #177082).
      - build against current libfaac-dev (LP: #181389).
    - debian/rules: re-added call to dh_installman.
    - debian/avidemux-common.manpages: renamed (was debian/manpages).
    - debian/source.lintian-overrides: re-added.

 -- Matvey Kozhev <email address hidden> Fri, 04 Jan 2008 22:46:06 +0600

Maia Everett (linneris) on 2008-01-18
Changed in avidemux:
assignee: sikon → nobody
status: In Progress → Confirmed
Maia Everett (linneris) wrote :

libmp4v2 builds are now unbroken and faac has been rebuilt, so the avidemux build can commence. Subscribing u-u-s.

Maia Everett (linneris) wrote :

This debdiff is the same as the one above, the only difference is in debian/changelog.

avidemux (1:2.4.0-0.2ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org
    (LP: #178845, LP: #180393), remaining Ubuntu changes:
    - debian/control:
      - set maintainer fields per Ubuntu policy.
      - removed libamrnb-dev, not in Ubuntu and most likely
        will never be (due to being proprietary software).
      - build against current libx264-dev (LP: #177082).
      - build against current libfaac-dev (LP: #181389).
    - debian/rules: re-added call to dh_installman.
    - debian/avidemux-common.manpages: renamed (was debian/manpages).
    - debian/source.lintian-overrides: re-added.

 -- Matvey Kozhev <email address hidden> Fri, 04 Jan 2008 22:46:06 +0600

Maia Everett (linneris) wrote :

debdiff for Marillat's new release. Deleted previous ones.

avidemux (1:2.4.0-0.3ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org
    (LP: #178845, LP: #180393), remaining Ubuntu changes:
    + debian/control:
      - set maintainer fields per Ubuntu policy.
      - removed libamrnb-dev, not in Ubuntu and most likely
        will never be (due to being proprietary software).
      - build against current libx264-dev (LP: #177082).
      - build against current libfaac-dev (LP: #181389).
      - build-depend on chrpath to strip rpath from avidemux2_qt4.
    + debian/rules: strip rpath from avidemux2_qt4.
    + debian/source.lintian-overrides: re-added.

 -- Matvey Kozhev <email address hidden> Wed, 23 Jan 2008 14:24:55 +0600

This is his reply for why he switched from cmake back to automake:

> Of course cmake is broken. With cmake only i386 and amd64 was working
all others archs (alpha, ia64, sparc, powerpc and hppa) the build fail.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.4.0-0.3ubuntu1

---------------
avidemux (1:2.4.0-0.3ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org
    (LP: #178845, LP: #180393), remaining Ubuntu changes:
    + debian/control:
      - set maintainer fields per Ubuntu policy.
      - removed libamrnb-dev, not in Ubuntu and most likely
        will never be (due to being proprietary software).
      - build against current libx264-dev (LP: #177082).
      - build against current libfaac-dev (LP: #181389).
      - build-depend on chrpath to strip rpath from avidemux2_qt4.
    + debian/rules: strip rpath from avidemux2_qt4.
    + debian/source.lintian-overrides: re-added.

avidemux (1:2.4.0-0.3) unstable; urgency=low

  * Use configure and make instead of cmake.

avidemux (1:2.4.0-0.2) unstable; urgency=low

  * avidemux-common should replace avidemux.

avidemux (1:2.4.0-0.1) unstable; urgency=low

  * Should Build-Depends on libsamplerate0-dev
  * Upload in unstable.

avidemux (1:2.4.0-0.0) unstable; urgency=low

  * New upstream release.
  * Merge changes from Ubuntu.

 -- Matvey Kozhev <email address hidden> Wed, 23 Jan 2008 14:24:55 +0600

Changed in avidemux:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers